[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: sanity check (ldd not in ld.so 1.9.10-1?)

Anderson MacKay <glenstorm@mindspring.com> writes:


> So ... any developers running a completely slink machine, and have ldso
> version 1.9.10-1 installed?  If you do, could you just check for my
> sanity that /usr/bin/ldd is still there?  On the other hand, I don't
> remember dpkg overriding anything when it installed the 10 or 15 upgraded
> packages it did last week, but maybe some other package got rid of ldd.
> After all, apt seems to call dpkg with some of the --force options
> enabled, and I don't have a log of that session, unfortunately.

I'm not developer now, but FYI I just upgraded my hamm box to slink
some weeks ago (from official CD set), and still not grab some new
beats from potato.

zhurui@monoid:~$ dpkg -l ldso
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
ii  ldso            1.9.10-1       The Linux dynamic linker, library and utilit
zhurui@monoid:~$ dpkg -S /usr/bin/ldd 
ldso: /usr/bin/ldd

Here is something from my upgrade transcript.  Nothing weird about ldso.

mroot@monoid:/home/zhurui# apt-get dist-upgrade
Updating package status cache...done
Checking system integrity...ok
The following packages will be REMOVED:
  libstdc++2.8-dev w3-el elks-libc libc6-doc bcc boot-floppies libc6-pic 
The following NEW packages will be installed:
  libwraster1 apache-common librpm1 kbd-data xfree86-common libgtk1.1
  libungif3g vm-dev libglib1.1 libstdc++2.9-dev libstdc++2.9 mesag3 jed-common
  wxxt1 libsp1 slang1 libhtml-parser-perl libjpeg62 libg++2.8.2 cddb
  fortunes-min vm1 newt0.25 libncurses4 libident 
The following packages have been kept back
  xserver-mach64 ytalk doc-linux-html xfntbig5p-cmex24m doc-linux-text 
360 packages upgraded, 25 newly installed, 7 to remove and 5 not upgraded.
Need to get 0b/170M of archives. After unpacking 27.5M will be used.
Do you want to continue? [Y/n] y


(Reading database ... 59948 files and directories currently installed.)
Preparing to replace libc6-dev 2.0.7t-1 (using .../libc6-dev_2.0.7.19981211-6.de
b) ...
Unpacking replacement libc6-dev ...
Preparing to replace libc6 2.0.7t-1 (using .../libc6_2.0.7.19981211-6.deb) ...
Unpacking replacement libc6 ...
Setting up libc6 ( ...


(Reading database ... 60043 files and directories currently installed.)
Preparing to replace ldso 1.9.9-1 (using .../base/ldso_1.9.10-1.deb) ...
Unpacking replacement ldso ...
Setting up ldso (1.9.10-1) ...

	Zhu Rui

Reply to: